Retrieve custom OAuth provider keys
Retrieves all custom OAuth provider keys for the Tenant.
Retrieves all custom OAuth provider keys for the Tenant.
Authorization
M2MBearerToken AuthorizationBearer <token>
M2M Token for authentication
In: header
Response Body
application/json
application/json
application/json
curl -X GET "https://api.loginradius.com/v2/manage/custom-providers/oauth/keys"{
"Data": [
{
"Key": "custom_provider_key",
"Display": "Custom Provider"
}
]
}{
"Message": "Access Unauthorized",
"Description": "Access Unauthorized, please use valid authorization to access this endpoint.",
"ErrorCode": 6002
}{
"Message": "Raas config is empty",
"Description": "Raas config is empty, Please provide valid data.",
"ErrorCode": 8083
}Update custom OAuth provider PUT
Updates an existing Custom OAuth provider for the Tenant using the provider name specified in the request body.
List JWT SP configurations GET
Retrieves a list of all Service Provider (SP) configurations associated with JWT clients for the Tenant, including endpoints, mapping, and other settings for each SP setup.